Package com.google.earth.kml._2

# Class FeatureType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.FeatureType

Direct Known Subclasses:
  `ContainerType`, `NetworkLinkType`, `OverlayType`, `PlacemarkType`

public abstract class FeatureType extends ObjectType
<p>Java class for FeatureType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="FeatureType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <sequence> <element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> <element name="visibility" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/> <element name="open" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/> <element name="address" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> <element name="phoneNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> <element name="Snippet" type="{http://earth.google.com/kml/2.1}SnippetType" minOccurs="0"/> <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}LookAt" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}TimePrimitive" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}styleUrl" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}StyleSelector" maxOccurs="unbounded" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}Region" minOccurs="0"/> <element name="Metadata" type="{http://earth.google.com/kml/2.1}MetadataType" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `address`
  `protected String`
  `description`
  `protected LookAtType`
  `lookAt`
  `protected MetadataType`
  `metadata`
  `protected String`
  `name`
  `protected Boolean`
  `open`
  `protected String`
  `phoneNumber`
  `protected RegionType`
  `region`
  `protected SnippetType`
  `snippet`
  `protected List<jakarta.xml.bind.JAXBElement<? extends StyleSelectorType>>`
  `styleSelector`
  `protected String`
  `styleUrl`
  `protected jakarta.xml.bind.JAXBElement<? extends TimePrimitiveType>`
  `timePrimitive`
  `protected Boolean`
  `visibility`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FeatureType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  Gets the value of the address property.
  `String`
  `getDescription()`
  Gets the value of the description property.
  `LookAtType`
  `getLookAt()`
  Gets the value of the lookAt property.
  `MetadataType`
  `getMetadata()`
  Gets the value of the metadata property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getPhoneNumber()`
  Gets the value of the phoneNumber property.
  `RegionType`
  `getRegion()`
  Gets the value of the region property.
  `SnippetType`
  `getSnippet()`
  Gets the value of the snippet property.
  `List<jakarta.xml.bind.JAXBElement<? extends StyleSelectorType>>`
  `getStyleSelector()`
  Gets the value of the styleSelector property.
  `String`
  `getStyleUrl()`
  Gets the value of the styleUrl property.
  `jakarta.xml.bind.JAXBElement<? extends TimePrimitiveType>`
  `getTimePrimitive()`
  Gets the value of the timePrimitive property.
  `Boolean`
  `isOpen()`
  Gets the value of the open property.
  `Boolean`
  `isVisibility()`
  Gets the value of the visibility property.
  `void`
  `setAddress(String value)`
  Sets the value of the address property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setLookAt(LookAtType value)`
  Sets the value of the lookAt property.
  `void`
  `setMetadata(MetadataType value)`
  Sets the value of the metadata property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setOpen(Boolean value)`
  Sets the value of the open property.
  `void`
  `setPhoneNumber(String value)`
  Sets the value of the phoneNumber property.
  `void`
  `setRegion(RegionType value)`
  Sets the value of the region property.
  `void`
  `setSnippet(SnippetType value)`
  Sets the value of the snippet property.
  `void`
  `setStyleUrl(String value)`
  Sets the value of the styleUrl property.
  `void`
  `setTimePrimitive(jakarta.xml.bind.JAXBElement<? extends TimePrimitiveType> value)`
  Sets the value of the timePrimitive property.
  `void`
  `setVisibility(Boolean value)`
  Sets the value of the visibility property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### visibility

    protected Boolean visibility

  - ### open

    protected Boolean open

  - ### address

    protected String address

  - ### phoneNumber

    protected String phoneNumber

  - ### snippet

    protected SnippetType snippet

  - ### description

    protected String description

  - ### lookAt

    protected LookAtType lookAt

  - ### timePrimitive

    protected jakarta.xml.bind.JAXBElement<? extends TimePrimitiveType> timePrimitive

  - ### styleUrl

    protected String styleUrl

  - ### styleSelector

    protected List<jakarta.xml.bind.JAXBElement<? extends StyleSelectorType>> styleSelector

  - ### region

    protected RegionType region

  - ### metadata

    protected MetadataType metadata

- ## Constructor Details

  - ### FeatureType

    public FeatureType()

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### isVisibility

    public Boolean isVisibility()
    Gets the value of the visibility property.
    Returns:
      possible object is `Boolean`

  - ### setVisibility

    public void setVisibility(Boolean value)
    Sets the value of the visibility property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isOpen

    public Boolean isOpen()
    Gets the value of the open property.
    Returns:
      possible object is `Boolean`

  - ### setOpen

    public void setOpen(Boolean value)
    Sets the value of the open property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getAddress

    public String getAddress()
    Gets the value of the address property.
    Returns:
      possible object is `String`

  - ### setAddress

    public void setAddress(String value)
    Sets the value of the address property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPhoneNumber

    public String getPhoneNumber()
    Gets the value of the phoneNumber property.
    Returns:
      possible object is `String`

  - ### setPhoneNumber

    public void setPhoneNumber(String value)
    Sets the value of the phoneNumber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSnippet

    public SnippetType getSnippet()
    Gets the value of the snippet property.
    Returns:
      possible object is `SnippetType`

  - ### setSnippet

    public void setSnippet(SnippetType value)
    Sets the value of the snippet property.
    Parameters:
      `value` - allowed object is `SnippetType`

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLookAt

    public LookAtType getLookAt()
    Gets the value of the lookAt property.
    Returns:
      possible object is `LookAtType`

  - ### setLookAt

    public void setLookAt(LookAtType value)
    Sets the value of the lookAt property.
    Parameters:
      `value` - allowed object is `LookAtType`

  - ### getTimePrimitive

    public jakarta.xml.bind.JAXBElement<? extends TimePrimitiveType> getTimePrimitive()
    Gets the value of the timePrimitive property.
    Returns:
      possible object is `JAXBElement``<``TimePrimitiveType``>` `JAXBElement``<``TimeSpanType``>` `JAXBElement``<``TimeStampType``>`

  - ### setTimePrimitive

    public void setTimePrimitive(jakarta.xml.bind.JAXBElement<? extends TimePrimitiveType> value)
    Sets the value of the timePrimitive property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``TimePrimitiveType``>` `JAXBElement``<``TimeSpanType``>` `JAXBElement``<``TimeStampType``>`

  - ### getStyleUrl

    public String getStyleUrl()
    Gets the value of the styleUrl property.
    Returns:
      possible object is `String`

  - ### setStyleUrl

    public void setStyleUrl(String value)
    Sets the value of the styleUrl property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStyleSelector

    public List<jakarta.xml.bind.JAXBElement<? extends StyleSelectorType>> getStyleSelector()
    Gets the value of the styleSelector property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the styleSelector property.

    For example, to add a new item, do as follows:

         getStyleSelector().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``StyleMapType``>` `JAXBElement``<``StyleSelectorType``>` `JAXBElement``<``StyleType``>`

    Returns:
      The value of the styleSelector property.

  - ### getRegion

    public RegionType getRegion()
    Gets the value of the region property.
    Returns:
      possible object is `RegionType`

  - ### setRegion

    public void setRegion(RegionType value)
    Sets the value of the region property.
    Parameters:
      `value` - allowed object is `RegionType`

  - ### getMetadata

    public MetadataType getMetadata()
    Gets the value of the metadata property.
    Returns:
      possible object is `MetadataType`

  - ### setMetadata

    public void setMetadata(MetadataType value)
    Sets the value of the metadata property.
    Parameters:
      `value` - allowed object is `MetadataType`